Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362152 - Code change - move is_using_scsi_reservation to DiskVmElement
Summary: Code change - move is_using_scsi_reservation to DiskVmElement
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage
Version: 4.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ovirt-4.1.0-alpha
: 4.1.0.2
Assignee: Tal Nisan
QA Contact: Raz Tamir
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-01 12:06 UTC by Tal Nisan
Modified: 2017-02-01 14:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-01 14:47:15 UTC
oVirt Team: Storage
rule-engine: ovirt-4.1+
rule-engine: planning_ack+
tnisan: devel_ack+
ratamir: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 65711 master POST core: Move SCSI reservation indication to DiskVmElement 2016-10-31 16:22:20 UTC
oVirt gerrit 65713 master NEW Add SCSI reservation flag to disk attachment 2016-10-26 20:03:20 UTC

Description Tal Nisan 2016-08-01 12:06:55 UTC
The property is_using_scsi_reservation in the vm_device table is relevant only for disks and was placed in the vm_device since there was no other entity to describe the relation between a disk and a VM at the time this RFE was written.
Now when we have disk_vm_element this property should be moved there.

Comment 2 Tal Nisan 2016-11-08 10:00:09 UTC
UI remains the same, in the REST this field will be visible and editable via DiskAttachment as well as Disk

Comment 3 Raz Tamir 2016-11-27 21:52:51 UTC
Verified on - 
ovirt-engine-4.1.0-0.0.master.20161126211319.gitae69c34.el7.centos.noarch

Comment 4 Sandro Bonazzola 2016-12-12 13:54:26 UTC
The fix for this issue should be included in oVirt 4.1.0 beta 1 released on December 1st. If not included please move back to modified.

Comment 5 Raz Tamir 2016-12-13 17:52:49 UTC
Verified on 4.1.0-0.2.master.20161212071212.git8a015dd.el7.centos

<uses_scsi_reservation>false</uses_scsi_reservation> is an attribute of diskAttachment object


Note You need to log in before you can comment on or make changes to this bug.